package com.jasamedika.medifirst2000.service.impl;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.KomunikasiDao;
import com.jasamedika.medifirst2000.entities.Komunikasi;
import com.jasamedika.medifirst2000.service.KomunikasiService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.vo.KomunikasiVO;

@Service("KomunikasiService")
public class KomunikasiServiceImpl extends BaseVoServiceImpl implements KomunikasiService {
	
	@Autowired
	private BaseConverterImpl<KomunikasiVO, Komunikasi> komunikasiConverter; 
	
	@Autowired
	private KomunikasiDao komunikasiDao;

	@Override
	public Map<String, Object> saveKomunikasi(KomunikasiVO vo) {
		
		Map<String, Object> result = new HashMap<String, Object>();
		if(CommonUtil.isNotNullOrEmpty(vo))
		{
			Komunikasi komunikasi = komunikasiConverter.transferVOToModel(vo, new Komunikasi());
			if(CommonUtil.isNotNullOrEmpty(komunikasi))
			{
				Komunikasi model = komunikasiDao.save(komunikasi);
				result.put("id", model.getId());
			}
		}
		return result;
	}
}
